> For the complete documentation index, see [llms.txt](https://docs.globalalerting.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.globalalerting.com/web-api/web-hooks-for-tenant.md).

# Web Hooks For Tenant

## GET /V2/{tenantVarCode}/webhooks

> Returns Configured Web Hooks for a tenant

```json
{"openapi":"3.0.4","info":{"title":"GAP REST API Documentation V2","version":"v2"},"tags":[{"name":"Web Hooks For Tenant"}],"paths":{"/V2/{tenantVarCode}/webhooks":{"get":{"tags":["Web Hooks For Tenant"],"summary":"Returns Configured Web Hooks for a tenant","parameters":[{"name":"tenantVarCode","in":"path","description":"","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/WebHooksConfigModel"}},"application/json;IEEE754Compatible=false":{"schema":{"$ref":"#/components/schemas/WebHooksConfigModel"}},"application/json;IEEE754Compatible=true":{"schema":{"$ref":"#/components/schemas/WebHooksConfigModel"}},"application/xml":{"schema":{"$ref":"#/components/schemas/WebHooksConfigModel"}},"text/plain":{"schema":{"$ref":"#/components/schemas/WebHooksConfigModel"}},"application/octet-stream":{"schema":{"$ref":"#/components/schemas/WebHooksConfigModel"}},"text/json":{"schema":{"$ref":"#/components/schemas/WebHooksConfigModel"}},"text/xml":{"schema":{"$ref":"#/components/schemas/WebHooksConfigModel"}}}}}}}},"components":{"schemas":{"WebHooksConfigModel":{"type":"object","properties":{"Urls":{"type":"array","items":{"$ref":"#/components/schemas/WebHooksUrl"},"nullable":true},"Authentication":{"type":"string","nullable":true},"Username":{"type":"string","nullable":true},"Password":{"type":"string","nullable":true}},"additionalProperties":false},"WebHooksUrl":{"type":"object","properties":{"Url":{"type":"string","nullable":true},"Device":{"type":"boolean"},"EventNotification":{"type":"boolean"},"MoMessage":{"type":"boolean"},"MtMessage":{"type":"boolean"},"Tenant":{"type":"boolean"},"User":{"type":"boolean"}},"additionalProperties":false}}}}
```

## PUT /V2/{tenantVarCode}/webhooks

> Sets or Updates WebHooks configured for a tenant

```json
{"openapi":"3.0.4","info":{"title":"GAP REST API Documentation V2","version":"v2"},"tags":[{"name":"Web Hooks For Tenant"}],"paths":{"/V2/{tenantVarCode}/webhooks":{"put":{"tags":["Web Hooks For Tenant"],"summary":"Sets or Updates WebHooks configured for a tenant","parameters":[{"name":"tenantVarCode","in":"path","description":"","required":true,"schema":{"type":"string"}}],"requestBody":{"description":"","content":{"application/json":{"schema":{"$ref":"#/components/schemas/WebHooksConfigModel"}},"application/json;IEEE754Compatible=false":{"schema":{"$ref":"#/components/schemas/WebHooksConfigModel"}},"application/json;IEEE754Compatible=true":{"schema":{"$ref":"#/components/schemas/WebHooksConfigModel"}},"application/xml":{"schema":{"$ref":"#/components/schemas/WebHooksConfigModel"}},"text/plain":{"schema":{"$ref":"#/components/schemas/WebHooksConfigModel"}},"application/json-patch+json":{"schema":{"$ref":"#/components/schemas/WebHooksConfigModel"}},"text/json":{"schema":{"$ref":"#/components/schemas/WebHooksConfigModel"}},"application/*+json":{"schema":{"$ref":"#/components/schemas/WebHooksConfigModel"}},"text/xml":{"schema":{"$ref":"#/components/schemas/WebHooksConfigModel"}},"application/*+xml":{"schema":{"$ref":"#/components/schemas/WebHooksConfigModel"}}}},"responses":{"200":{"description":"OK"}}}}},"components":{"schemas":{"WebHooksConfigModel":{"type":"object","properties":{"Urls":{"type":"array","items":{"$ref":"#/components/schemas/WebHooksUrl"},"nullable":true},"Authentication":{"type":"string","nullable":true},"Username":{"type":"string","nullable":true},"Password":{"type":"string","nullable":true}},"additionalProperties":false},"WebHooksUrl":{"type":"object","properties":{"Url":{"type":"string","nullable":true},"Device":{"type":"boolean"},"EventNotification":{"type":"boolean"},"MoMessage":{"type":"boolean"},"MtMessage":{"type":"boolean"},"Tenant":{"type":"boolean"},"User":{"type":"boolean"}},"additionalProperties":false}}}}
```

## DELETE /V2/{tenantVarCode}/webhooks

> Deletes all WebHooks configured for a tenant

```json
{"openapi":"3.0.4","info":{"title":"GAP REST API Documentation V2","version":"v2"},"tags":[{"name":"Web Hooks For Tenant"}],"paths":{"/V2/{tenantVarCode}/webhooks":{"delete":{"tags":["Web Hooks For Tenant"],"summary":"Deletes all WebHooks configured for a tenant","parameters":[{"name":"tenantVarCode","in":"path","description":"","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK"}}}}}}
```
